diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateSiteXmlFiles.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateSiteXmlFiles.sh
index cab394e2666cb34501b77e99bffcaa6c0990d51d..fbc53513c131c3f9197059ad3f4511372800ba9b 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateSiteXmlFiles.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateSiteXmlFiles.sh
@@ -11,6 +11,10 @@ source properties.shsource
 # with all the latest version numbers
 mv ${updateSite}/site.xml ${updateSite}/.site.xml
 
+if [ "$?" -ne "0" ] 
+then 
+   exit $?
+fi  
 
 # merge authored site.xml with the autogenerated one
 
@@ -21,8 +25,19 @@ in_newFeatures=${updateSite}/.site.xml
 # merges newFeautes in to authored, back in original locaion
 java -jar siteFileUpdater.jar ${in_authored} ${in_newFeatures}
 
+if [ "$?" -ne "0" ] 
+then 
+   exit $?
+fi  
+
 # copy to discovery site
 # Note: here we are changing names from site specific site file name, to generic site.xml 
 rsync -p ${in_authored} ${updateSite}/site.xml
 
+
+if [ "$?" -ne "0" ] 
+then 
+   exit $?
+fi  
+
 rm ${in_newFeatures}